Subject: Re: [EN] NNCP 8.1.0 release announcement

From: Sergey Matveev <[email-masked]>
Date: Mon, 17 Jan 2022 10:01:17 +0300

Greetings!

*** John Goerzen [2022-01-16 19:19]:
>I've read up on the doc page and I'm a little unclear on a few things:

You right with all questions: indeed it is not so obvious and clear in
documentation. Will definitely update it. Also I am looking to replace
μTP transport protocol with pure TCP (implemented on pure Go) or
something even simpler. It looks like unnecessary overhead. But I should
investigate it deeper.

>- Does it support the Yggdrasil LAN multicast, and if so, can the
>interfaces it listens on for that be listed?

By default no, but can be added quite easily, that I will do. I just
ignored that feature for later times.

>- If one does not want to have an open port for incoming peer
>connections, can a person just omit the bindPublic and bindLocalhost?

Currently no (without any reason :-)), but you are right that it is
completely ordinary use-case. Will do it.

>- Does the "optional list of allowed incoming connections" refer to
>systems that are allowed to establish peering connections to the
>embedded Yggdrasil node, or does it mean a list of systems that are
>allowed to connect to NNCP over Yggdrasil?

It is related only to Yggdrasil network, to its "AllowedPublicKeys"
configuration option. Will make it more clear in documentation too.

>- Either way, I'm unclear how to give that list of allowed incoming
>connections.

You can control (or allow any) only peer connections to the listener,
with the option above. No ability to limit who can be answered to as
NNCP service itself, except for removing noise* keys from configuration
to forbid online protocol usage at all.

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: CF60 E89A 5923 1E76 E263  6422 AE1A 8109 E498 57EF